
Infrastructure - Task #3075

Task # 3074 (Closed): Phase one implementaion for morpho to connect dataone services

Morpho needs new data file managment system and the local identifier authority. 

2012-07-16 23:00 - Jing Tao

Status: Closed Start date: 2012-07-17

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2013.10-Block.2.1   

Milestone: None Story Points:  

Product Version: *   

Description

Currently, morpho's identifier and local file name are associated tightly. However, the new morpho should support multiple formats

(DOI, UUID, etc). Those new identifier may contain some illegal charater for a file name. So it is impossible to use the identifier as

the file name directly. We need a new mechanism to generate the file name. Also we need a mechanism to map the identifier and the

file name.

Currently, morpho's identifiers look like john.122.1 and john.123.2. They conflict easily. We can use the the MN.generateIdentifier

and CN.reserveIdentifier to get the unique id if morpho connects to the network. However,We need a new mechanism to generate a

unique id for the morpho if it is offline.

Subtasks:

Task # 3077: Morpho file name convention and the mapping between the file name and iden... Closed

Task # 3079: Morpho needs a local unique id generator Closed

Task # 3090: New design for morpho profile Closed

Task # 3111: Need a new page for replication information in package wizard Closed

Task # 3167: Add d1_ common_java and d1_libclient_java and their depency jar Closed

History

#1 - 2012-10-11 15:33 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#2 - 2012-10-24 18:20 - Ben Leinfelder

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#3 - 2012-12-12 16:51 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#4 - 2013-03-01 18:33 - Ben Leinfelder

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

#5 - 2013-03-02 05:32 - Ben Leinfelder

- Status changed from New to Closed
